Subject: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Feb 2017 18:24:09 +0200

> From: [email-masked] (N. Jackson)
> Date: Thu, 23 Feb 2017 11:08:28 -0500
> 
> When starting Emacs from a terminal/console window, GTK emits the
> following message in the terminal/console:
> 
>   Gtk-WARNING **: gtk_window_parse_geometry() called on a window
>   with no visible children; the window should be set up before
>   gtk_window_parse_geometry() is called.
> 
> The message is emitted n - 1 times, where n is the number of
> frames specified in the desktop file; with no desktop file, or
> with a desktop file specifying just the one frame, no such message
> is emitted.
> 
> Once Emacs is up and running, creating new frames does not cause
> this message to be emitted.
> 
> I tried deleting the desktop file and starting fresh, but the
> problem persists.
> 
> I'm seeing this in rc2 of Emacs 25.2 built from the tarball. I
> didn't see it in Emacs 25.1. I do however see it in 25.1.91.
> 
> If needed I'm happy to try to find a minimal recipe for this from
> `emacs -Q' but I would need some pointers on how to create / read
> desktop files from `emacs -Q'.

Thanks.  It might be enough if you run Emacs under a debugger with a
breakpoint in the GTK function which emits this warning, then show us
the backtrace from that function.  That should point to the code that
gets executed when it probably shouldn't.